Package org.codehaus.groovy.runtime.wrappers

# Class Wrapper

java.lang.Object
org.codehaus.groovy.runtime.wrappers.Wrapper

All Implemented Interfaces:
  `GroovyObject`

Direct Known Subclasses:
  `GroovyObjectWrapper`, `PojoWrapper`

    public abstract class Wrapper
    extends java.lang.Object
    implements GroovyObject

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.lang.Class` | `constrainedType` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Wrapper​(java.lang.Class constrainedType)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected abstract MetaClass` | `getDelegatedMetaClass()` |
  `MetaClass` | `getMetaClass()` | Returns the metaclass for a given class.
  `java.lang.Class` | `getType()` |
  `protected abstract java.lang.Object` | `getWrapped()` |
  `abstract java.lang.Object` | `unwrap()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.GroovyObject

  `getProperty, invokeMethod, setMetaClass, setProperty`

- ## Field Details

  - ### constrainedType

    protected final java.lang.Class constrainedType

- ## Constructor Details

  - ### Wrapper

    public Wrapper​(java.lang.Class constrainedType)

- ## Method Details

  - ### getMetaClass

    public MetaClass getMetaClass()
    Description copied from interface: `GroovyObject`
    Returns the metaclass for a given class.
    Specified by:
      `getMetaClass` in interface `GroovyObject`
    Returns:
      the metaClass of this instance

  - ### getType

    public java.lang.Class getType()

  - ### unwrap

    public abstract java.lang.Object unwrap()

  - ### getWrapped

    protected abstract java.lang.Object getWrapped()

  - ### getDelegatedMetaClass

    protected abstract MetaClass getDelegatedMetaClass()